curl --request POST \
--url https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions \
--header 'Content-Type: application/json' \
--data '
{
"draft": true,
"published_at": "2023-11-07T05:31:56Z",
"account_id": "<string>"
}
'import requests
url = "https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions"
payload = {
"draft": True,
"published_at": "2023-11-07T05:31:56Z",
"account_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({draft: true, published_at: '2023-11-07T05:31:56Z', account_id: '<string>'})
};
fetch('https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"num": 123,
"evaluation_dataset_id": "<string>",
"draft": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"published_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Evaluation Dataset Version
Description
Creates a evaluation dataset version
Details
This API can be used to create a evaluation dataset version. To use this API, review the request schema and pass in all fields that are required to create a evaluation dataset version.
Path Parameters
Body
Response
Successful Response
The version number, automatically incremented on creation
The ID of the associated evaluation dataset.
Boolean to check whether or not the evaluation dataset is in draft mode
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
user, service_account The date and time that all test case results for the evaluation were completed for the evaluation in ISO format.
The date and time when the entity was archived in ISO format.

